use rocket::{http::Status, serde::json::Json};

use crate::{json_result::JsonResult, model::classroom_user::ClassroomPersonCreate, online_classroom::create_user::create};

#[options("/classroom/user")]
pub fn create_user_options() -> Status { Status::Ok }

#[post("/classroom/user", format = "json", data = "<data>")]
pub async fn create_user(data: Json<ClassroomPersonCreate>) -> (Status, Json<JsonResult<()>>) {
    match create(&data.0).await {
        Ok(_) => return (Status::Ok, JsonResult::ok(())),
        Err(err) => return (Status::InternalServerError, JsonResult::err(err)),
    }
}
